CHGRP(1) | General Commands Manual | CHGRP(1)

# NAME

`chgrp` — change group

# SYNOPSIS

`chgrp` | [`-R` [`-H` | `-L` | `-P`]] [`-dfhv`] group file ...

`chgrp` | [`-R` [`-H` | `-L` | `-P`]] [`-dfhv`] `--reference=rfile` file ...

# DESCRIPTION

The `chgrp` utility sets the group ID of the file named by each file operand to the group ID specified by the group operand, or to the group of the given rfile, specified by the `--reference` argument.

Options:

`-H`
  If the `-R` option is specified, symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)
`-L`
  If the `-R` option is specified, all symbolic links are followed.
`-P`
  If the `-R` option is specified, no symbolic links are followed.
`-R`
  Change the group ID for the file hierarchies rooted in the files instead of just the files themselves.
`-d`
  Do not attempt to update a file's group, nor update the file's set-user-id or set-group-id bits if they are already set to the desired values.
`-f`
  The force option ignores errors, except for usage errors and doesn't query about strange modes (unless the user does not have proper permissions).
`-h`
  If file is a symbolic link, the group of the link is changed.
`-v`
  Cause `chgrp` to be verbose, showing files as they are processed.

If `-h` is not given, unless the `-H` or `-L` option is set, `chgrp` on a symbolic link always succeeds and has no effect. The `-H`, `-L` and `-P` options are ignored unless the `-R` option is specified. In addition, these options override each other and the command's actions are determined by the last one specified. The default is as if the `-P` option had been specified.

The group operand can be either a group name from the group database, or a numeric group ID. Since it is valid to have a group name that is numeric (and doesn't have the numeric ID that matches its name) the name lookup is always done first. Preceding the ID with a ``#'' character will force it to be taken as a number.

The user invoking `chgrp` must belong to the specified group and be the owner of the file, or be the super-user.

Unless invoked by the super-user, `chgrp` clears the set-user-id and set-group-id bits on a file to prevent accidental or mischievous creation of set-user-id or set-group-id programs.

# FILES

/etc/group
  Group ID file

# EXIT STATUS

The `chgrp` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

chown(2), lchown(2), fts(3), group(5), passwd(5), symlink(7), chown(8)

# STANDARDS

The `chgrp` utility is expected to be POSIX 1003.2 compatible.

The `-v` and `-d` options and the use of ``#'' to force a numeric group ID are extensions to IEEE Std 1003.2 (“POSIX.2”).

May 19, 2023 | NetBSD 11.99